Package org.eclipse.e4.ui.model.application.impl

# Interface ApplicationPackageImpl.Literals

Enclosing class:
  `ApplicationPackageImpl`

public static interface ApplicationPackageImpl.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.eclipse.emf.ecore.EClass`
`ADDON`
The meta object literal for the '`Addon`' class.
`static final org.eclipse.emf.ecore.EClass`
`APPLICATION`
The meta object literal for the '`Application`' class.
`static final org.eclipse.emf.ecore.EOperation`
`APPLICATION___GET_COMMAND__STRING`
The meta object literal for the 'Get Command' operation.
`static final org.eclipse.emf.ecore.EReference`
`APPLICATION__ADDONS`
The meta object literal for the 'Addons' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`APPLICATION__CATEGORIES`
The meta object literal for the 'Categories' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`APPLICATION__COMMANDS`
The meta object literal for the 'Commands' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`APPLICATION_ELEMENT`
The meta object literal for the '`Element`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`APPLICATION_ELEMENT__CONTRIBUTOR_URI`
The meta object literal for the 'Contributor URI' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`APPLICATION_ELEMENT__ELEMENT_ID`
The meta object literal for the 'Element Id' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`APPLICATION_ELEMENT__PERSISTED_STATE`
The meta object literal for the 'Persisted State' map feature.
`static final org.eclipse.emf.ecore.EAttribute`
`APPLICATION_ELEMENT__TAGS`
The meta object literal for the 'Tags' attribute list feature.
`static final org.eclipse.emf.ecore.EReference`
`APPLICATION_ELEMENT__TRANSIENT_DATA`
The meta object literal for the 'Transient Data' map feature.
`static final org.eclipse.emf.ecore.EClass`
`CONTRIBUTION`
The meta object literal for the '`Contribution`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`CONTRIBUTION__CONTRIBUTION_URI`
The meta object literal for the 'Contribution URI' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CONTRIBUTION__OBJECT`
The meta object literal for the 'Object' attribute feature.
`static final org.eclipse.emf.ecore.EDataType`
`IECLIPSE_CONTEXT`
The meta object literal for the 'IEclipse Context' data type.
`static final org.eclipse.emf.ecore.EClass`
`STRING_TO_OBJECT_MAP`
The meta object literal for the '`String To Object Map`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`STRING_TO_OBJECT_MAP__KEY`
The meta object literal for the 'Key' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`STRING_TO_OBJECT_MAP__VALUE`
The meta object literal for the 'Value' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`STRING_TO_STRING_MAP`
The meta object literal for the '`String To String Map`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`STRING_TO_STRING_MAP__KEY`
The meta object literal for the 'Key' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`STRING_TO_STRING_MAP__VALUE`
The meta object literal for the 'Value' attribute feature.

## Field Details

### STRING_TO_STRING_MAP

static final org.eclipse.emf.ecore.EClass STRING_TO_STRING_MAP
The meta object literal for the '`String To String Map`' class.

See Also:
  - `StringToStringMapImpl`
  - `ApplicationPackageImpl.getStringToStringMap()`

### STRING_TO_STRING_MAP__KEY

static final org.eclipse.emf.ecore.EAttribute STRING_TO_STRING_MAP__KEY
The meta object literal for the 'Key' attribute feature.

### STRING_TO_STRING_MAP__VALUE

static final org.eclipse.emf.ecore.EAttribute STRING_TO_STRING_MAP__VALUE
The meta object literal for the 'Value' attribute feature.

### APPLICATION

static final org.eclipse.emf.ecore.EClass APPLICATION
The meta object literal for the '`Application`' class.

Since:
  1.0
See Also:
  - `ApplicationImpl`
  - `ApplicationPackageImpl.getApplication()`

### APPLICATION__COMMANDS

static final org.eclipse.emf.ecore.EReference APPLICATION__COMMANDS
The meta object literal for the 'Commands' containment reference list feature.

Since:
  1.0

### APPLICATION__ADDONS

static final org.eclipse.emf.ecore.EReference APPLICATION__ADDONS
The meta object literal for the 'Addons' containment reference list feature.

Since:
  1.0

### APPLICATION__CATEGORIES

static final org.eclipse.emf.ecore.EReference APPLICATION__CATEGORIES
The meta object literal for the 'Categories' containment reference list feature.

Since:
  1.0

### APPLICATION___GET_COMMAND__STRING

static final org.eclipse.emf.ecore.EOperation APPLICATION___GET_COMMAND__STRING
The meta object literal for the 'Get Command' operation.

Since:
  1.2

### APPLICATION_ELEMENT

static final org.eclipse.emf.ecore.EClass APPLICATION_ELEMENT
The meta object literal for the '`Element`' class.

Since:
  1.0
See Also:
  - `ApplicationElementImpl`
  - `ApplicationPackageImpl.getApplicationElement()`

### APPLICATION_ELEMENT__ELEMENT_ID

static final org.eclipse.emf.ecore.EAttribute APPLICATION_ELEMENT__ELEMENT_ID
The meta object literal for the 'Element Id' attribute feature.

Since:
  1.0

### APPLICATION_ELEMENT__PERSISTED_STATE

static final org.eclipse.emf.ecore.EReference APPLICATION_ELEMENT__PERSISTED_STATE
The meta object literal for the 'Persisted State' map feature.

Since:
  1.0

### APPLICATION_ELEMENT__TAGS

static final org.eclipse.emf.ecore.EAttribute APPLICATION_ELEMENT__TAGS
The meta object literal for the 'Tags' attribute list feature.

Since:
  1.0

### APPLICATION_ELEMENT__CONTRIBUTOR_URI

static final org.eclipse.emf.ecore.EAttribute APPLICATION_ELEMENT__CONTRIBUTOR_URI
The meta object literal for the 'Contributor URI' attribute feature.

Since:
  1.0

### APPLICATION_ELEMENT__TRANSIENT_DATA

static final org.eclipse.emf.ecore.EReference APPLICATION_ELEMENT__TRANSIENT_DATA
The meta object literal for the 'Transient Data' map feature.

Since:
  1.0

### CONTRIBUTION

static final org.eclipse.emf.ecore.EClass CONTRIBUTION
The meta object literal for the '`Contribution`' class.

Since:
  1.0
See Also:
  - `ContributionImpl`
  - `ApplicationPackageImpl.getContribution()`

### CONTRIBUTION__CONTRIBUTION_URI

static final org.eclipse.emf.ecore.EAttribute CONTRIBUTION__CONTRIBUTION_URI
The meta object literal for the 'Contribution URI' attribute feature.

Since:
  1.0

### CONTRIBUTION__OBJECT

static final org.eclipse.emf.ecore.EAttribute CONTRIBUTION__OBJECT
The meta object literal for the 'Object' attribute feature.

Since:
  1.0

### ADDON

static final org.eclipse.emf.ecore.EClass ADDON
The meta object literal for the '`Addon`' class.

Since:
  1.0
See Also:
  - `AddonImpl`
  - `ApplicationPackageImpl.getAddon()`

### STRING_TO_OBJECT_MAP

static final org.eclipse.emf.ecore.EClass STRING_TO_OBJECT_MAP
The meta object literal for the '`String To Object Map`' class.

See Also:
  - `StringToObjectMapImpl`
  - `ApplicationPackageImpl.getStringToObjectMap()`

### STRING_TO_OBJECT_MAP__KEY

static final org.eclipse.emf.ecore.EAttribute STRING_TO_OBJECT_MAP__KEY
The meta object literal for the 'Key' attribute feature.

### STRING_TO_OBJECT_MAP__VALUE

static final org.eclipse.emf.ecore.EAttribute STRING_TO_OBJECT_MAP__VALUE
The meta object literal for the 'Value' attribute feature.

### IECLIPSE_CONTEXT

static final org.eclipse.emf.ecore.EDataType IECLIPSE_CONTEXT
The meta object literal for the 'IEclipse Context' data type.

See Also:
  - `IEclipseContext`
  - `ApplicationPackageImpl.getIEclipseContext()`